{
    "model": {
        "type": "range_dispatch",
        "property": "custom_model_data",
        "fallback": {
            "type": "model",
            "model": "minecraft:item/totem_of_undying"
        },
        "entries": [
            {
                "threshold": 18001,
                "model": {
                    "type": "model",
                    "model": "magic:icons/spells/testdummy"
                }
            },
            {
                "threshold": 18002,
                "model": {
                    "type": "model",
                    "model": "magic:icons_disabled/spells/testdummy"
                }
            }
        ]
    }
}